Bug 68199 - fix biology/fasta3 and take maintainership
Summary: fix biology/fasta3 and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johann Visagie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-22 14:30 UTC by Fernan Aguero
Modified: 2004-07-01 04:03 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (619 bytes, patch)
2004-06-22 14:30 UTC, Fernan Aguero
no flags Details | Diff
file.diff (347 bytes, patch)
2004-06-22 14:30 UTC, Fernan Aguero
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernan Aguero 2004-06-22 14:30:23 UTC
	
	
	biology/fasta3 was marked as BROKEN due to a checksum mismatch.
	It is now scheduled for removal on August 20.

	I am now fixing the build problems and asking for
	maintainership of the port. Johann (the current maintainer) has
	not been very active lately and he already has agreed on me
	taking maintainership of other biology/ ports (p5-bioperl,
	emboss (which BTW I still have to finish)).
	
	Although there are new versions of fasta3 (see
	ftp://ftp.virginia.edu/pub/fasta/), in this PR I am just fixing
	the problems with fasta33t08d4.

	I don't know what could have changed in the files, since the
	version has remained the same ... so the answer about the change
	in checksum is: I really don't know what caused the checksum
	mismatch. I've checked the pkg-plist and nothing new is
	installed ... so to fix it I just went to
	ftp://ftp.virginia.edu/pub/fasta/, downloaded
	fasta33t08d4.shar.Z and updated the distinfo file accordingly.
	Now everything builds and installs fine.
	
	I hope this is enough to save the port.

	I am planning to update it soon to the latest version
	(fasta34t24b1). But that will be in another PR :)
Comment 1 Thierry Thomas freebsd_committer 2004-06-23 20:29:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wjv


Over to the current maintainer.
Comment 2 Thierry Thomas freebsd_committer 2004-06-23 20:30:51 UTC
State Changed
From-To: open->feedback


Do you agree to pass maintainership to the submitter?
Comment 3 Mark Linimon 2004-06-30 07:30:58 UTC
Unfortunately, when a checksum changes without a revision bump, we
ask maintainers (and prospective maintainers :-) ) to download both
the old and the new tarballs and themselves verify that nothing
untoward has happened (e.g. the introduction of trojan horses).  This
is to keep the Ports Collection as safe as possible.

To do this, you'll need to fetch the old copy from one of the
FreeBSD mastersites and unpack it and do a diff -ruN with the
new one, and then document what changed between the two.
Comment 4 Fernan Aguero 2004-06-30 14:55:56 UTC
+----[ Mark Linimon <linimon@lonesome.com> (30.Jun.2004 03:34):
|
| Unfortunately, when a checksum changes without a revision bump, we
| ask maintainers (and prospective maintainers :-) ) to download both
| the old and the new tarballs and themselves verify that nothing
| untoward has happened (e.g. the introduction of trojan horses).  This
| is to keep the Ports Collection as safe as possible.
| 
| To do this, you'll need to fetch the old copy from one of the
| FreeBSD mastersites and unpack it and do a diff -ruN with the
| new one, and then document what changed between the two.
|
+----]

Indeed!

I've downloaded the sources referenced by the current state
of the biology/fasta3 port:

MD5 (fasta33t08d4.shar.Z) = 66f0c4731a6ff1cf123067c6ec46e352
SIZE (fasta33t08d4.shar.Z) = 690366
ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/fasta33t08d4.shar.Z

and compared it to the sources as they are provided by the
author:

MD5 (fasta33t08d4.shar.Z) = e6217268e122b2ca7c51b443425e40e3
SIZE (fasta33t08d4.shar.Z) = 685912
ftp://ftp.virginia.edu/pub/fasta/fasta33t08d4.shar.Z

and this is the output of diff -ruN, which looks pretty
inofensive to me:

diff -ruN old/Makefile.linux new/Makefile.linux
--- old/Makefile.linux	Wed Jun 30 10:37:28 2004
+++ new/Makefile.linux	Wed Jun 30 10:38:10 2004
@@ -13,7 +13,7 @@
 #
 # for DEC/Compaq Alpha/LINUX, use gcc -mieee -g to avoid buggy compilers
 
-CC= gcc -g -O
+CC= gcc -O
 
 # this file works for x86 LINUX
 
diff -ruN old/test.log new/test.log
--- old/test.log	Wed Jun 30 10:37:31 2004
+++ new/test.log	Wed Dec 31 21:00:00 1969
@@ -1,182 +0,0 @@
-
-starting fasta33_t - protein Sat Apr 7 11:05:00 EDT 2001 on wrpx1.bioch.Virginia.EDU
-Linux wrpx1.bioch.Virginia.EDU 2.2.14 #1 SMP Wed Feb 16 13:22:13 EST 2000 i686 unknown
-
- FASTA searches a protein or DNA sequence data bank
- version 3.3t08d4 Mar. 27, 2001
-Please cite:
- W.R. Pearson & D.J. Lipman PNAS (1988) 85:2444-2448
-
-mgstm1.aa:100-218: 119 aa
- >GT8.7 | 40001 90043 | transl. of pa875.con, 19 to 675
- vs  NCBI/Blast Swissprot library
-searching /slib2/blast/swissprot.lseg library
-
-       opt      E()
-< 20   606     0:====
-  22     3     0:=          one = represents 193 library sequences
-  24     5     0:=
-  26    10     2:*
-  28    17    21:*
-  30    40   130:*
-  32   140   502:= *
-  34   417  1361:===    *
-  36  1379  2796:========      *
-  38  3830  4621:====================   *
-  40  6869  6446:=================================*==
-  42 10274  7879:========================================*=============
-  44 11545  8691:=============================================*==============
-  46  9907  8852:=============================================*======
-  48  8245  8475:===========================================*
-  50  6813  7733:====================================    *
-  52  5431  6799:=============================      *
-  54  4561  5807:========================      *
-  56  4038  4851:=====================    *
-  58  3499  3983:=================== *
-  60  3098  3226:================*
-  62  2513  2586:=============*
-  64  2191  2057:==========*=
-  66  1870  1626:========*=
-  68  1441  1279:======*=
-  70  1205  1002:=====*=
-  72  1031   783:====*=
-  74   791   611:===*=
-  76   698   475:==*=
-  78   523   369:=*=
-  80   408   287:=*=
-  82   317   219:=*
-  84   250   174:*=
-  86   211   134:*=
-  88   142   104:*          inset = represents 2 library sequences
-  90   115    81:*
-  92    81    62:*         :==============================*=========
-  94    58    48:*         :=======================*=====
-  96    39    37:*         :==================*=
-  98    30    29:*         :==============*
- 100    21    22:*         :==========*
- 102    21    17:*         :========*==
- 104    15    13:*         :======*=
- 106    14    10:*         :====*==
- 108     6     8:*         :===*
- 110     4     6:*         :==*
- 112     7     5:*         :==*=
- 114     3     4:*         :=*
- 116     3     3:*         :=*
- 118     0     2:*         :*
->120    10     2:*         :*====
-34569641 residues in 94745 sequences
- statistics extrapolated from 60000 to 94238 sequences
- (shuffled) Expectation_n fit: rho(ln(x))= 5.2860+/-0.000165; mu= -3.5082+/- 0.009
- mean_var=77.6729+/-15.828, 0's: 499 Z-trim: 0  B-trim: 0 in 0/63
- Lambda= 0.1455
- Kolmogorov-Smirnov  statistic: 0.0382 (N=29) at  38
-
-FASTA (3.36 June 2000) function [optimized, PAM250 matrix (17:-8)xS] ktup: 2
- join: 36, opt: 24, gap-pen: -12/ -2, width:  16
- Scan time:  1.010
-The best scores are:                                       opt bits E(94238)
-gi|121716|sp|P10649|GTM1_MOUSE GLUTATHIONE S-TRA   ( 218)  658  148 5.2e-36
-gi|121717|sp|P04905|GTM1_RAT GLUTATHIONE S-TRANS   ( 218)  635  144 1.5e-34
-gi|399829|sp|Q00285|GTMU_CRILO GLUTATHIONE S-TRA   ( 218)  604  137 1.3e-32
-gi|121720|sp|P19639|GTM3_MOUSE GLUTATHIONE S-TRA   ( 218)  600  136 2.4e-32
-gi|121718|sp|P15626|GTM2_MOUSE GLUTATHIONE S-TRA   ( 218)  566  129 3.4e-30
-gi|121719|sp|P08010|GTM2_RAT GLUTATHIONE S-TRANS   ( 218)  564  129 4.5e-30
-gi|121722|sp|P16413|GTMU_CAVPO GLUTATHIONE S-TRA   ( 217)  562  128   6e-30
-gi|232206|sp|P30116|GTMU_MESAU GLUTATHIONE S-TRA   ( 218)  560  128 8.1e-30
-gi|232204|sp|P28161|GTM2_HUMAN GLUTATHIONE S-TRA   ( 218)  529  121 7.4e-28
-gi|121721|sp|P08009|GTM3_RAT GLUTATHIONE S-TRANS   ( 218)  521  120 2.4e-27
-gi|1170098|sp|P46409|GTMU_RABIT GLUTATHIONE S-TR   ( 218)  500  115   5e-26
-gi|1346207|sp|P48774|GTM5_MOUSE GLUTATHIONE S-TR   ( 224)  460  107 1.7e-23
-gi|121765|sp|P21266|GTM3_HUMAN GLUTATHIONE S-TRA   ( 225)  450  105 7.4e-23
-gi|1170096|sp|Q03013|GTM4_HUMAN GLUTATHIONE S-TR   ( 218)  444  103 1.7e-22
-gi|121735|sp|P09488|GTM1_HUMAN GLUTATHIONE S-TRA   ( 218)  444  103 1.7e-22
-gi|2506495|sp|P20136|GTM2_CHICK GLUTATHIONE S-TR   ( 220)  431  101 1.2e-21
-gi|1170097|sp|P46439|GTM5_HUMAN GLUTATHIONE S-TR   ( 218)  424   99 3.2e-21
-gi|232197|sp|P30112|GT26_FASHE GLUTATHIONE S-TRA   ( 218)  333   80 1.8e-15
-gi|3915724|sp|P31671|GT28_FASHE GLUTATHIONE S-TR   ( 218)  331   80 2.4e-15
-gi|3913799|sp|P56598|GT29_FASHE GLUTATHIONE S-TR   ( 221)  326   79   5e-15
-gi|3915723|sp|P31670|GT27_FASHE GLUTATHIONE S-TR   ( 218)  294   72 5.2e-13
-gi|544442|sp|P35661|GT27_SCHMA GLUTATHIONE S-TRA   ( 218)  278   69 5.4e-12
-gi|121697|sp|P08515|GT26_SCHJA GLUTATHIONE S-TRA   ( 218)  269   67   2e-11
-gi|121698|sp|P15964|GT26_SCHMA GLUTATHIONE S-TRA   ( 218)  264   66 4.1e-11
-gi|1170095|sp|P46419|GTM1_DERPT GLUTATHIONE S-TR   ( 219)  253   63 2.1e-10
-gi|121746|sp|P09211|GTP_HUMAN GLUTATHIONE S-TRAN   ( 210)  209   54 1.2e-07
-gi|121747|sp|P19157|GTP1_MOUSE GLUTATHIONE S-TRA   ( 210)  209   54 1.2e-07
-gi|1170100|sp|P46424|GTP_CRILO GLUTATHIONE S-TRA   ( 210)  209   54 1.2e-07
-gi|1346208|sp|P47954|GTP_CRIMI GLUTATHIONE S-TRA   ( 210)  207   54 1.6e-07
-gi|121744|sp|P28801|GTP_BOVIN GLUTATHIONE S-TRAN   ( 210)  205   53 2.1e-07
-gi|1170099|sp|P46425|GTP2_MOUSE GLUTATHIONE S-TR   ( 210)  200   52 4.4e-07
-gi|3023905|sp|Q60550|GTP_MESAU GLUTATHIONE S-TRA   ( 210)  200   52 4.4e-07
-gi|544445|sp|P80031|GTP_PIG GLUTATHIONE S-TRANSF   ( 207)  199   52 5.1e-07
-gi|2495108|sp|Q28514|GTP_MACMU GLUTATHIONE S-TRA   ( 210)  197   52 6.9e-07
-gi|121749|sp|P04906|GTP_RAT GLUTATHIONE S-TRANSF   ( 210)  185   49 3.9e-06
-gi|1170102|sp|P46427|GTP_ONCVO GLUTATHIONE S-TRA   ( 208)  174   47 1.9e-05
-gi|1170101|sp|P46426|GTP_DIRIM GLUTATHIONE S-TRA   ( 208)  173   47 2.2e-05
-gi|121745|sp|P10299|GTP_CAEEL GLUTATHIONE S-TRAN   ( 208)  167   45 5.4e-05
-gi|6225842|sp|O73888|PGD_CHICK GLUTATHIONE-REQUI   ( 199)  103   32    0.58
-gi|134261|sp|P18426|SC11_OMMSL S-CRYSTALLIN SL11   ( 205)   99   31     1.1
-gi|6226954|sp|O35543|PGD_RAT GLUTATHIONE-REQUIRI   ( 199)   98   31     1.2
-gi|116006|sp|P08575|CD45_HUMAN LEUKOCYTE COMMON    (1304)  105   33     1.8
-gi|6225843|sp|O60760|PGD_HUMAN GLUTATHIONE-REQUI   ( 199)   95   30     1.8
-gi|2496132|sp|Q58248|Y838_METJA HYPOTHETICAL PRO   ( 223)   91   29     3.6
-gi|1351503|sp|P47431|Y185_MYCGE HYPOTHETICAL LIP   ( 701)   96   31     4.2
-gi|585954|sp|P26864|RT02_MARPO MITOCHONDRIAL RIB   ( 237)   90   29     4.4
-gi|1175586|sp|P44135|YC46_HAEIN HYPOTHETICAL PRO   ( 647)   92   30     7.1
-gi|121696|sp|P28338|GTT1_MUSDO GLUTATHIONE S-TRA   ( 208)   86   28     7.1
-gi|1175976|sp|P43589|YFH5_YEAST HYPOTHETICAL 52.   ( 448)   89   29     8.2
-gi|549012|sp|Q06182|SW10_SCHPO MATING-TYPE SWITC   ( 252)   85   28     9.5
-
-
-119 residues in 1 query   sequences
-34569641 residues in 94745 library sequences
- Tcomplib (2 proc)[33t08]
- start: Sat Apr  7 11:05:45 2001 done: Sat Apr  7 11:11:13 2001
- Scan time:  1.010 Display time:  0.290
-
-Function used was FASTA [version 3.3t08d4 Mar. 27, 2001]
-done
-starting fastxy33_t Sat Apr 7 11:11:13 EDT 2001
-done
-starting fastxy33_t rev Sat Apr 7 11:14:25 EDT 2001
-done
-starting ssearch33_t Sat Apr 7 11:22:24 EDT 2001
-done
-starting fasta33_t - DNA Sat Apr 7 11:26:08 EDT 2001
-done
-starting tfasta33_t Sat Apr 7 11:39:50 EDT 2001
-done
-starting tfastxy33_t Sat Apr 7 11:40:54 EDT 2001
-done
-starting fastf33_t Sat Apr 7 12:41:29 EDT 2001
-done
-starting tfastf33_t Sat Apr 7 12:42:05 EDT 2001
-done
-starting fasts33_t Sat Apr 7 12:46:56 EDT 2001
-done
-starting tfasts33_t Sat Apr 7 12:47:01 EDT 2001
-done
-starting fasta33 - protein Sat Apr 7 12:47:34 EDT 2001
-done
-starting fastx3 Sat Apr 7 12:48:38 EDT 2001
-done
-starting fasty3 Sat Apr 7 12:51:22 EDT 2001
-done
-starting fasta33 - DNA  Sat Apr 7 12:54:34 EDT 2001
-done
-starting ssearch3 Sat Apr 7 13:06:28 EDT 2001
-done
-starting tfasta3 Sat Apr 7 13:19:33 EDT 2001
-done
-starting tfastxy3 Sat Apr 7 13:21:38 EDT 2001
-done Sat Apr 7 13:28:41 EDT 2001
-starting prss3 Sat Apr 7 13:28:41 EDT 2001
-
-***[prss33] Query sequence undefined***
-
- PRSS compares a query sequence to shuffled sequences
- using the Smith-Waterman algorithm
- version 3.3t08d4 Mar. 27, 2001
-Please cite:
- W.R. Pearson (1996) Meth. Enzymol. 266:227-258
-
-done Sat Apr 7 13:28:46 EDT 2001
diff -ruN old/test.sh new/test.sh
--- old/test.sh	Wed Jun 30 10:37:31 2004
+++ new/test.sh	Wed Jun 30 10:38:13 2004
@@ -7,7 +7,7 @@
 fasta33_t -S -q -z 11 -O test_m1.ok2_t_p25 -s P250 mgstm1.aa:100-218 q
 echo "done"
 echo "starting fastxy33_t" `date`
-fastx33_t -m 9 -S -q mgtt2_x.seq q > test_t2.xk2_t
+fastx33_t -m 9 -S -q mgtt2_x.seq q 3 > test_t2.xk2_t
 fasty33_t -S -q mgtt2_x.seq q > test_t2.yk2_t
 fastx33_t -m 9 -S -q -z 2 mgstm1.esq a > test_m1.xk2_tz2
 fasty33_t -S -q -z 2 mgstm1.esq a > test_m1.yk2_tz2

-- 
F e r n a n   A g u e r o
http://genoma.unsam.edu.ar/~fernan
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2004-07-01 04:02:37 UTC
State Changed
From-To: feedback->closed

Committed, thanks.  I have assigned the submitter as the new 
maintainer, since the current maintainer has not been responsive 
to PRs about his ports for some time.